Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# DisplayInformation Class Reference

This class contains various display information. More...

List of all members.

## Public Types
enum | DetectionState { DSUnknown = 0, DSSuccess = 1, DSDirect3dCreateError = 2, DSCreateWindowError = 3, DSCreateDeviceError = 4 }
## Public Member Functions
| DisplayInformation ()
unsigned long long int | getAvailablePageFileSize ()
unsigned long long int | getAvailablePhysicalMemory ()
unsigned long long int | getAvailableProcessVirtualMemory ()
unsigned int | getCpuBrandIndex ()
string | getCpuBrandString ()
unsigned long long int | getCpuFrequency ()
unsigned int | getCpuIdData (int index)
| Returns part of cpu id binary data based on the index.
int | getCpuIdSize ()
| Returns the number of 32-bit values for cpu id binary data.
int | getCpuIdVersion ()
unsigned long long int | getCpuTime ()
string | getCpuVendorString ()
unsigned int | getCpuVersionInformation ()
unsigned long long int | getCurrentCpuFrequency ()
int | getDeviceId ()
int | getDisplayModeBitsPerPixel (int display_index)
int | getDisplayModeFullscreenOnly (int display_index)
int | getDisplayModeHeight (int display_index)
int | getDisplayModeRefreshRate (int display_index)
int | getDisplayModeWidth (int display_index)
int | getDisplayState ()
int | getDriverBuild ()
int | getDriverDateDay ()
int | getDriverDateMonth ()
int | getDriverDateYear ()
int | getDriverProduct ()
int | getDriverSubVersion ()
int | getDriverVersion ()
unsigned long long int | getMaximumCpuFrequency ()
int | getMaximumWindowHeight ()
int | getMaximumWindowWidth ()
int | getMemoryLoad ()
int | getNumCpuCores ()
| Returns the number of individual CPU cores in the system, or 0 if this number is not available.
int | getNumLogicalCpus ()
| Returns the number of logical CPU's in the system, or 0 if this number is not available.
int | getOsPlatformId ()
| Returns -1 if not set.
int | getOsVersionBuild ()
| Returns -1 if not set.
int | getOsVersionMajor ()
| Returns -1 if not set.
int | getOsVersionMinor ()
| Returns -1 if not set.
unsigned long long int | getPageFaultCount ()
unsigned long long int | getPageFileSize ()
unsigned long long int | getPageFileUsage ()
unsigned long long int | getPeakPageFileUsage ()
unsigned long long int | getPeakProcessMemory ()
unsigned long long int | getPhysicalMemory ()
unsigned long long int | getProcessMemory ()
unsigned long long int | getProcessVirtualMemory ()
int | getShaderModel ()
int | getTextureMemory ()
int | getTotalDisplayModes ()
int | getVendorId ()
int | getVideoMemory ()
int | getWindowBitsPerPixel ()
| updateCpuFrequency (int processor_number)
| updateMemoryInformation ()

## Detailed Description

This class contains various display information.

## Member Enumeration Documentation

enum DetectionState

Enumerator:

  DSUnknown |
  DSSuccess |
  DSDirect3dCreateError |
  DSCreateWindowError |
  DSCreateDeviceError |

## Constructor & Destructor Documentation

DisplayInformation | ( |  | ) |

## Member Function Documentation

unsigned long long int getAvailablePageFileSize | ( |  | ) |

unsigned long long int getAvailablePhysicalMemory | ( |  | ) |

unsigned long long int getAvailableProcessVirtualMemory | ( |  | ) |

unsigned int getCpuBrandIndex | ( |  | ) |

string getCpuBrandString | ( |  | ) |

unsigned long long int getCpuFrequency | ( |  | ) |

unsigned int getCpuIdData | ( | int | index | ) |

Returns part of cpu id binary data based on the index.

int getCpuIdSize | ( |  | ) |

Returns the number of 32-bit values for cpu id binary data.

int getCpuIdVersion | ( |  | ) |

unsigned long long int getCpuTime | ( |  | ) |

string getCpuVendorString | ( |  | ) |

unsigned int getCpuVersionInformation | ( |  | ) |

unsigned long long int getCurrentCpuFrequency | ( |  | ) |

int getDeviceId | ( |  | ) |

int getDisplayModeBitsPerPixel | ( | int | display_index | ) |

int getDisplayModeFullscreenOnly | ( | int | display_index | ) |

int getDisplayModeHeight | ( | int | display_index | ) |

int getDisplayModeRefreshRate | ( | int | display_index | ) |

int getDisplayModeWidth | ( | int | display_index | ) |

int getDisplayState | ( |  | ) |

int getDriverBuild | ( |  | ) |

int getDriverDateDay | ( |  | ) |

int getDriverDateMonth | ( |  | ) |

int getDriverDateYear | ( |  | ) |

int getDriverProduct | ( |  | ) |

int getDriverSubVersion | ( |  | ) |

int getDriverVersion | ( |  | ) |

unsigned long long int getMaximumCpuFrequency | ( |  | ) |

int getMaximumWindowHeight | ( |  | ) |

int getMaximumWindowWidth | ( |  | ) |

int getMemoryLoad | ( |  | ) |

int getNumCpuCores | ( |  | ) |

Returns the number of individual CPU cores in the system, or 0 if this number is not available.

A hyperthreaded CPU counts once here.

int getNumLogicalCpus | ( |  | ) |

Returns the number of logical CPU's in the system, or 0 if this number is not available.

A hyperthreaded CPU counts as two or more here.

int getOsPlatformId | ( |  | ) |

Returns -1 if not set.

int getOsVersionBuild | ( |  | ) |

Returns -1 if not set.

int getOsVersionMajor | ( |  | ) |

Returns -1 if not set.

int getOsVersionMinor | ( |  | ) |

Returns -1 if not set.

unsigned long long int getPageFaultCount | ( |  | ) |

unsigned long long int getPageFileSize | ( |  | ) |

unsigned long long int getPageFileUsage | ( |  | ) |

unsigned long long int getPeakPageFileUsage | ( |  | ) |

unsigned long long int getPeakProcessMemory | ( |  | ) |

unsigned long long int getPhysicalMemory | ( |  | ) |

unsigned long long int getProcessMemory | ( |  | ) |

unsigned long long int getProcessVirtualMemory | ( |  | ) |

int getShaderModel | ( |  | ) |

int getTextureMemory | ( |  | ) |

int getTotalDisplayModes | ( |  | ) |

int getVendorId | ( |  | ) |

int getVideoMemory | ( |  | ) |

int getWindowBitsPerPixel | ( |  | ) |

updateCpuFrequency | ( | int | processor_number | ) |

updateMemoryInformation | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties